<template name="navbar">
	<nav class="navbar navbar-default navbar-fixed-top" id="topnavbar" role="navigation">
		<img class="decoration mobile" src="/kultura/kultura_header_web_d.svg">
		<img class="decoration wide" src="/kultura/kultura_header_web_a.svg">
		<img class="decoration scroll one" src="/kultura/kultura_header_web_b.svg">
		<img class="decoration scroll two" src="/kultura/kultura_header_web_c.svg">
		<img class="decoration split left" src="/kultura/kultura_header_web_a_l.svg">
		<img class="decoration split middle" src="/kultura/kultura_header_web_a_m.svg">
		<img class="decoration split right" src="/kultura/kultura_header_web_a_r.svg">

		<div class="navbar-container container-fluid">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle navbar-brand collapsed"
						data-bs-toggle="collapse" data-bs-target="#bs-navbar-collapse-1">
					<span class="sr-only">Toggle navigation</span>
					<i class="fa-solid fa-bars text-white"></i>
					<i class="fa-solid fa-x text-white"></i>
				</button>
				<a class="navbar-brand logo" href="{{pathFor 'home'}}">
					<img class="logo" src="/kultura/logo-white.svg">
				</a>
			</div>
			<div class="collapse navbar-collapse overflow-auto" id="bs-navbar-collapse-1">
				<ul
					class="nav navbar-nav {{toggleNavbarRight 'left'}} row-sm-auto row-no-gutters px-1 text-center mx-3">
					<li
						class="{{activeClass 'home'}} {{activeClass 'showCourse'}} col-4-sm-auto p-0">
						<a href="{{pathFor 'home'}}"
						   class="{{activeClass 'home'}} {{activeClass 'showCourse'}} navbar-link js-nav-dropdown-close"
						   id="nav_courses">
							{{i18n 'menue.Courses' 'Find'}}
						</a>
					</li>
					<li class="{{activeClass 'proposeCourse'}} col-4-sm-auto p-0">
						<a href="{{pathFor 'proposeCourse'}}"
						   class="{{activeClass 'proposeCourse'}} {{activeClass 'showEvent' 'create'}} navbar-link js-nav-dropdown-close">
							{{i18n 'menue.Create' 'Create'}}
						</a>
					</li>
					<li class="{{activeClass 'calendar'}} col-4-sm-auto p-0">
						<a href="{{pathFor 'calendar'}}"
						   class="{{activeClass 'calendar'}} navbar-link calendar-link js-nav-dropdown-close">
							{{i18n 'menue.Calendar' 'Calendar'}}
						</a>
					</li>
				</ul>
				<div class="{{toggleNavbarRight}}">
					<ul class="nav navbar-nav row-sm-auto row-no-gutters px-1 text-center  mx-3">
						{{> regionSelectionWrap inNavbar=true}}
						{{> languageSelectionWrap inNavbar=true}}
						<li class="dropdown login-link">
							{{> loginButton}}
							<div class="dropdown-menu dropdown-menu-end login-dropdown">
								{{> userFrame}}
							</div>
						</li>
					</ul>
					<!--
					<ul class="nav navbar-nav text-center">
						<li class="dropdown login-link">
							{{> loginButton}}
							<div class="dropdown-menu dropdown-menu-end login-dropdown">
								{{> userFrame}}
							</div>
						</li>
					</ul>
					-->
				</div>
			</div>
		</div>
	</nav>
	<div class="navbar-custom-modal {{#if navbarIsCollapsed}}d-none{{/if}} js-nav-dropdown-close">
	</div>
</template>

<template name='loginButton'>
	{{#if loginServicesConfigured}}
		{{#if currentUser}}
			<a class="loginButton navbar-link" aria-expanded="false" data-bs-toggle="dropdown"
			   role="button">
				{{currentUser.getDisplayName}}
			</a>
		{{else}}
			<a class="js-open-login loginButton navbar-link" id="openLogin" role="button">
				{{i18n 'login.navig.unlogged' 'Log in/register'}}
			</a>
		{{/if}}
	{{/if}}
</template>

<template name='userFrame'>
	<div class="user-frame">
		{{> ownUserFrame}}
	</div>
</template>

<template name="ownUserFrame">
	<div class="ownuser-frame">
		<div class="mb-3 ownuser-frame-welcome">
			{{i18n 'login.frame.welcome' 'Welcome {NAME}.' NAME=currentUser.getDisplayName}}
		</div>
		<div class="mb-3">
			<a class="btn btn-secondary form-control"
			   href="{{pathFor 'userprofile' _id=currentUser._id}}">
				{{i18n 'login.frame.profile' 'Public profile'}}
			</a>
		</div>
		<div class="mb-3">
			<a class="btn btn-secondary form-control" href="{{pathFor 'profile'}}">
				{{i18n 'login.frame.settings' 'Account settings'}}
			</a>
		</div>
		<div class="mb-3">
			<button type="button" class="btn btn-secondary js-logout form-control">
				{{i18n 'login.logout' 'Log out'}}
			</button>
		</div>
	</div>
</template>

<template name="testWarningTicker">
	<marquee bgcolor="#000" direction="left" scrollamount="5" scrolldelay="1" style="color:white;">
		⚠ &nbsp; {{i18n 'menue.Testpage' 'This is only a testpage.'}} &nbsp; ⚠
		<span style="padding-left:10em"> </span>
		☠ &nbsp; {{i18n 'menue.Testpage2' 'All data will be erased regularly.'}} &nbsp; ☠
		<span style="padding-left:10em"> </span>
	</marquee>
</template>
